Clusters

A Kafka cluster that stores data and serve client requests. Kafka clusters typically have multiple brokers to handle more data and provide high availability. Each broker is identified by a unique ID and manages partitions of different topics. This tag groups all operations for clusters.

Retrieve all Clusters

get
/clusters

This endpoint enables retrieving all Clusters using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
filter.namestring · min: 2 · max: 63Optional

The name of your Kafka cluster. Must be 63 characters or less and must begin and end with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), underscores (_), dots (.), and alphanumerics between.

Example: my-kafka-clusterPattern: ^[A-Za-z0-9][-A-Za-z0-9_.]*[A-Za-z0-9]$
filter.statestringOptional

State of the resource. Resource states: AVAILABLE: There are no pending modification requests for this item. BUSY: There is at least one modification request pending and all following requests will be queued. DEPLOYING: The resource is being created. FAILED: The creation of the resource failed. UPDATING: The resource is being updated. FAILED_UPDATING: An update to the resource was not successful. DESTROYING: A delete command was issued, and the resource is being deleted.

Example: AVAILABLE
Responses
chevron-right
200

Returned all requested Clusters successfully.

application/json
idstring · uuidRequired

ID of the list of Cluster resources.

Example: ed17eb1f-ac43-5670-9e63-8be33c475449
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Cluster resources.

Example: /clusters
get
/clusters

Create Cluster

post
/clusters

Creates a new Cluster.

The full Cluster needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
Responses
post
/clusters

Retrieve Cluster

get
/clusters/{clusterId}

Returns the Cluster by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
Responses
chevron-right
200

Getting Cluster was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Cluster.

Example: /clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead
get
/clusters/{clusterId}

Delete Cluster

delete
/clusters/{clusterId}

Deletes the specified Cluster.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
Responses
delete
/clusters/{clusterId}

No content

Last updated

Was this helpful?